import csp.lang.*;
import csp.lang.Process;
import java.awt.event.ActionListener;

public class ButtonServer implements Process, ButtonCallService
// extends java.awt.Button
{
	ButtonAcceptService channel;
	String label = "Default Label";
	
	public ButtonServer(ButtonAcceptService chan)
	{
		channel = chan;	
	}
	
	public void run()
	{
		Alternative alt = new Alternative(new Guard((ChannelInput)channel));
		
		while(true)
		{
			switch(alt.select())
			{
				case 0:
					channel.accept(this);	
					break;
				case 1:
					// other channels
					break;
			}		
		}
	}
	
	public void addNotify() 
	{ 
		//super.addNotify();
		csp.lang.System.out.println("performing addNotify()");
	}
	
	public String getLabel() 
	{ 
		//return super.getlabel();		
		csp.lang.System.out.println("performing getlabel()");
		return label; 
	}
	
	public void setLabel(String label) 
	{ 
		//super.setLabel(label);
		this.label = label;
		csp.lang.System.out.println("performing setLabel(\""+label+"\")");
	}
	
	public void setActionCommand(String command) 
	{ 
		//super.setActionCommand(command);
	}
	
	public String getActionCommand() 
	{ 
		// return super.getActionCommand();
		return null; // temporarily, enables compiling
	}
	
	public void addActionListener(ActionListener l) 
	{ 
		// super.addActionListsner l);
	}
	
	public void removeActionListener(ActionListener l) 
	{ 
		// super.removeActionListener(l);
	}
}
